STRNDUP(3pub)

NAME
strndup - duplicate part of a string

SYNOPSIS
#include <publib.h>
char *strndup(const char *str, size_t n);

DESCRIPTION
strndup will make a duplicate of the n first characters of str, using malloc(3) to allocate memory for the duplicate. The caller is supposed to free the duplicate's memory when no longer needed.

RETURN VALUE
strndup will return a pointer to the duplicate, or NULL if no memory could be allocated.

SEE ALSO
publib(3), strdup(3)

AUTHOR
Lars Wirzenius (lars.wirzenius@helsinki.fi)